add_make Honda Japan
add_make Toyota Japan
add_make Ford USA
add_model Civic Honda 2006 20000
add_model Accord Honda 2006 25000
add_model 4Runner Toyota 2003 18000
makes
models
models_by_price > 19000
models_by_price = 25000
makes_by_origin Japan
makes_by_origin Canada
save main.dump
add_make Foo junk
add_make Bar junk
add_make Baz junk
add_model JUNK Foo 1900 5
makes
models
load main.dump
makes
models
